%global maj_ver %%(echo %{version} | cut -d. -f1-2)

Summary: Image loading library
Name: gdk-pixbuf2
Version: 2.42.10
Release: 4%{?dist}
License: LGPLv2+
URL: https://gitlab.gnome.org/GNOME/gdk-pixbuf
Source0: https://download.gnome.org/sources/gdk-pixbuf/%{maj_ver}/gdk-pixbuf-%{version}.tar.xz
Patch0001: fixed-CVE-2022-48622.patch

BuildRequires: meson gettext git
BuildRequires: docbook-style-xsl libxslt
BuildRequires: pkgconfig(gio-2.0) >= 2.56.0
BuildRequires: libpng-devel libjpeg-devel libtiff-devel
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: shared-mime-info
BuildRequires: /usr/bin/rst2man
Requires: glib2 >= 2.56.0
Requires: shared-mime-info

%description
gdk-pixbuf is a library that loads image data in various formats and stores
it as linear buffers in memory. The buffers can then be scaled, composited,
modified, saved, or rendered. gdk-pixbuf can load image data encoded in 
different formats, such as: PNG, JPEG, TIFF, TGA, GIF.

%package devel
Summary: Development files for gdk-pixbuf2
Requires: gdk-pixbuf2 = %{version}-%{release}
Requires: glib2-devel >= 2.56.0

%description devel
Development libraries and header files for using using gdk-pixbuf2.

%package modules
Summary: Additional image modules for gdk-pixbuf2
Requires: gdk-pixbuf2 = %{version}-%{release}

%description modules
The gdk-pixbuf2-modules contains the additional modules that are needed to 
load various image formats such as ICO and JPEG.

%package tests
Summary: Tests for the gdk-pixbuf2 package
Requires: gdk-pixbuf2 = %{version}-%{release}

%description tests
The gdk-pixbuf2-tests contains tests that can be used to verify
the functionality of the installed gdk-pixbuf2.

%prep
%autosetup -Sgit -p1 -n gdk-pixbuf-%{version}

%build
%meson -Dgtk_doc=false -Dman=true

# https://gitlab.gnome.org/GNOME/gdk-pixbuf/issues/88 (#1626835)
%global _smp_mflags -j1
%meson_build

%install
%meson_install

touch %{buildroot}%{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache

%find_lang gdk-pixbuf

%transfiletriggerin -- %{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders
gdk-pixbuf-query-loaders --update-cache

%transfiletriggerpostun -- %{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders
gdk-pixbuf-query-loaders --update-cache

%files -f gdk-pixbuf.lang
%license COPYING
%doc NEWS
%{_bindir}/gdk-pixbuf-query-loaders
%{_bindir}/gdk-pixbuf-thumbnailer
%dir %{_libdir}/gdk-pixbuf-2.0
%dir %{_libdir}/gdk-pixbuf-2.0/2.10.0
%dir %{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders
%ghost %{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders.cache
%{_libdir}/libgdk_pixbuf-2.0.so.*
%{_libdir}/girepository-1.0
%{_datadir}/thumbnailers/
%{_mandir}/man1/gdk-pixbuf-query-loaders.1*

%files devel
%{_bindir}/gdk-pixbuf-csource
%{_bindir}/gdk-pixbuf-pixdata
%dir %{_includedir}/gdk-pixbuf-2.0
%{_includedir}/gdk-pixbuf-2.0/gdk-pixbuf
%{_libdir}/libgdk_pixbuf-2.0.so
%{_libdir}/pkgconfig/gdk-pixbuf-2.0.pc
%{_datadir}/gir-1.0/
%{_mandir}/man1/gdk-pixbuf-csource.1*

%files modules
%{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/*.so

%files tests
%{_libexecdir}/installed-tests
%{_datadir}/installed-tests

%changelog
* Thu Jun 13 2024 Zhao Zhen <jeremiazhao@tencent.com> - 2.42.10-4
- fixed CVE-2022-48622

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.42.10-3
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 kianli <kianli@tencent.com> - 2.42.10-2
- Rebuilt for libtiff 4.5.1

* Mon Jul 31 2023 Shuo Wang <abushwang@tencent.com> - 2.42.10-1
- update to 2.42.10

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.42.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.42.8-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 25 2022 Wang Zhe <bessiewang@tencent.com> - 2.42.8-1
- initial build
